from django.urls import path
from .api_user import UserRegisterAPI, UserLoginAPI
from .api_user import getDashboard
from .api_prepare import UploadFileAPI, PlanAPI
from .api_calculate import CalculateAPI
from .api_rawDataTrans import RawDataTrans
from .api_results import Results
from .api_graph import GenerateGraph, ViewGraphByToken
from .api_alert import AlertAPI, AlertCheck
from .api_system import SystemPerformanceAPI

urlpatterns = [
    path('register/', UserRegisterAPI.as_view(), name='user_register_api'),
    path('login/', UserLoginAPI.as_view(), name='user_login_api'),
    path('uploadfile/', UploadFileAPI.as_view(), name='upload_file_api'),
    path('plan/', PlanAPI.as_view(), name='plan_api'),
    path('getDashboard/', getDashboard.as_view()),
    path('calculate/', CalculateAPI.as_view(), name='calculate_api'),
    path('rawDataTrans/', RawDataTrans.as_view(), name='rawDataTrans_api'),
    path('results/', Results.as_view(), name='results_api'),
    path('generateGraph/', GenerateGraph.as_view(), name="generate_graph_api"),
    path('viewGraphByToken/', ViewGraphByToken.as_view(), name="view_graph_by_token_api"),
    path('alert/', AlertAPI.as_view(), name="alert_api"),
    path('alertCheck/', AlertCheck.as_view(), name="alert_check_api"),
    path('systemPerformance/', SystemPerformanceAPI.as_view(), name="system_performance_api"),
]